Package picard.sam

# Class CompareSAMs

java.lang.Object
picard.cmdline.CommandLineProgram
picard.sam.CompareSAMs

@DocumentedFeature public class CompareSAMs extends CommandLineProgram
Rudimentary SAM comparer. Compares headers, and if headers are compatible enough, compares SAMRecords, looking only at basic alignment info. Summarizes the number of alignments that match, mismatch, are missing, etc.

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`OUTPUT`
`List<File>`
`SAM_FILES`
`SAMComparisonArgumentCollection`
`samComparisonArgumentCollection`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CompareSAMs()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SAM_FILES

@PositionalArguments(doc="Exactly two input SAM/BAM/CRAM files to compare to one another.", minElements=2, maxElements=2) public List<File> SAM_FILES

### OUTPUT

@Argument(shortName="O", doc="Output file to write comparison results to.", optional=true) public File OUTPUT

### samComparisonArgumentCollection

@ArgumentCollection public SAMComparisonArgumentCollection samComparisonArgumentCollection

## Constructor Details

### CompareSAMs

public CompareSAMs()

## Method Details

### doWork

protected int doWork()
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.